%global gem_name rubypants

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Ruby port of the smart-quotes library SmartyPants
Group: Development/Languages
License: BSD
URL: https://github.com/jmcnevin/rubypants
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
RubyPants is a Ruby port of the smart-quotes library SmartyPants.  The
original "SmartyPants" is a free web publishing plug-in for Movable Type,
Blosxom, and BBEdit that easily translates plain ASCII punctuation characters
into "smart" typographic punctuation HTML entities.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# New versions of rubygems make the "author" field mandatory
sed '/s.email/ i\
  s.author = "Christian Neukirchen"' -i %{gem_name}.gemspec

cat %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

# Remove unnecessary gemspec
rm -rf .%{gem_instdir}/%{gem_name}.gemspec

%install
# Note that the rubypants gem does not install the library into a "lib" folder.
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
  ruby -I. test_rubypants.rb
popd


%files
%dir %{gem_instdir}
%doc %{gem_instdir}/README
%{gem_instdir}/rubypants.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_instdir}/install.rb
%exclude %{gem_instdir}/test_rubypants.rb

%changelog
* Wed Nov 06 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.2.0-1
- Initial package
